    subroutine sub2
    use variables
    implicit none
    print *, "sub2: pos(np,1) = ", pos(np,dimen)
    print *, "adding 1 to pos(np,dimen)"
    pos(np,dimen) = pos(np,dimen) + 1
    print *, "pos(np,dimen) = ", pos(np,dimen)
    end

